local fontSize = 16/24
local function feature(text,sleepTime)
	return Def.ActorFrame{
		InitCommand=cmd(x,SCREEN_CENTER_X-160;);

		LoadActor(THEME:GetPathG("_attract","features bullet"))..{
			InitCommand=cmd(x,-40;diffusealpha,0;spin;effectoffset,sleepTime/2;effectmagnitude,0,120,0);
			OnCommand=cmd(sleep,sleepTime;diffusealpha,1);
		};
		LoadFont("_francophilsans Bold 24px")..{
			InitCommand=cmd(x,4;uppercase,true;halign,0;shadowlength,1;zoom,fontSize;wrapwidthpixels,512*1.1;diffusealpha,0);
			BeginCommand=cmd(settext,text);
			OnCommand=cmd(sleep,sleepTime;diffusealpha,1);
		};
	};
end

local featureSpacing = 72
local featureStart = SCREEN_CENTER_Y-128

return Def.ActorFrame{
	Def.ActorFrame{
		Name="Header";
		InitCommand=cmd(CenterX;y,SCREEN_CENTER_Y-188;);

		Def.Quad{
			InitCommand=cmd(diffuse,color("0,0,0,0.45");zoomto,540,30;fadeleft,0.125;faderight,0.125);
		};

		LoadActor(THEME:GetPathG("_attract","features main"))..{
			Name="Main";
			InitCommand=cmd(y,2;glow,color("0.5,0.4,0,1");zoom,1.015);
		};
		LoadActor(THEME:GetPathG("_attract","features mask"))..{
			Name="Mask";
			InitCommand=cmd(MaskSource);
		};
		LoadActor(THEME:GetPathG("_attract","features color"))..{
			InitCommand=cmd(MaskDest;SetSize,300,24;texcoordvelocity,0,2);
		};
	};

	feature("avaiable for your home in 1995, only on NINTENDO ULTRA 64!",0)..{
		InitCommand=cmd(y,featureStart);
	};
	feature("player attributes for power, blocks, steals, clutch & passing.",2)..{
		InitCommand=cmd(y,featureStart+featureSpacing);
	};
	feature("halftime substitutions.  this allows players to solve matchup problems.",4)..{
		InitCommand=cmd(y,featureStart+(featureSpacing*2));
	};
	feature("allow players to choose the same team. this should help determine the better player!",6)..{
		InitCommand=cmd(y,featureStart+(featureSpacing*3));
	};
	feature("a1; b2,4; c1,5; d1,3; e3,5",8)..{
		InitCommand=cmd(y,featureStart+(featureSpacing*4));
	};
};